# Random web tools
This project provides a collection of useful online tools for developers and anyone who needs to perform quick tasks.

## Requirements
* Node.js (v16 or higher)
* Bun

## Installation
```bash
git clone https://gitea.stuzer.link/stuzer05/random-web-tools.git
cd random-web-tools
bun install
```

## Running the Project
```bash
bun run dev
```

## Tool List
**General:**
* humans.txt generator
* Table to Markdown table
* Table to Mediawiki table

**Docker:**
* Rename volume

**Go:**
* JSON to Go struct

**JSON:**
* JSON formatter
* JSON minifier

**PHP:**
* PHP array to Json
* PHP serialize
* Str to PHP array

**SQL:**
* SQL formatter
* SQL split IN

**Strings:**
* Fix ru-en keyboard
* Str length
* Str numeronym (i18n)
* Str pad
* Str remove duplicate lines
* Str sort lines
* Str to lower/upper
* Str to NATO alphabet
* URL encode/decode
* URL query viewer

**Unix:**
* .htaccess generator
* Explain crontab
* File base64 encode/decode
* Sed generator
* Unix timestamp

**Generators:**
* Dummy image
* IBAN generator
* QR code

## Debug

Open `/phpinfo` url